HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCustomersCustomer

Contains the different functions to run the operation postCustomersCustomer

  • 28 types
  • 13 values
  • Packagestripeapi-3.0.0.0
  • Exports41
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostCustomersCustomer.hs
valuepostCustomersCustomer
  1. :: MonadHTTP m
  2. => Text

    customer | Constraints: Maximum length of 5000

  3. -> Maybe PostCustomersCustomerRequestBody

    The request body to send

  4. -> ClientT m (Response PostCustomersCustomerResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/customers/{customer}

<p>Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged. For example, if you pass the <strong>source</strong> parameter, that becomes the customer’s active source (e.g., a card) to be used for all charges in the future. When you update a customer to a new valid card source by passing the <strong>source</strong> parameter: for each of the customer’s current subscriptions, if the subscription bills automatically and is in the <code>past_due</code> state, then the latest open invoice for the subscription with automatic collection enabled will be retried. This retry will not count as an automatic retry, and will not affect the next regularly scheduled payment for the invoice. Changing the <strong>default_source</strong> for a customer will not trigger this behavior.</p>

<p>This request accepts mostly the same arguments as the customer creation call.</p>

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.address.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.address.anyOf in the specification.

The customer's address.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf.properties.account_holder_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf.properties.object in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.bank_account.anyOf in the specification.

Either a token, like the ones returned by Stripe.js, or a dictionary containing a user's bank account details.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf.properties.object in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.card.anyOf in the specification.

A token, like the ones returned by Stripe.js.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.cash_balance in the specification.

Balance information and default balance settings for this customer.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.cash_balance.properties.settings in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.cash_balance.properties.settings.properties.reconciliation_mode in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings in the specification.

Default invoice settings for this customer.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings.properties.custom_fields.anyOf.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings.properties.custom_fields.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings.properties.rendering_options.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings.properties.rendering_options.anyOf.properties.amount_tax_display in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.invoice_settings.properties.rendering_options.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping.anyOf.properties.address in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping.anyOf in the specification.

The customer's shipping information. Appears on invoices emailed to this customer.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.tax in the specification.

Tax details about the customer.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.tax.properties.ip_address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.tax_exempt in the specification.

The customer's tax exemption. One of `none`, `exempt`, or `reverse`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/customers/{customer}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.trial_end.anyOf in the specification.

Unix timestamp representing the end of the trial period the customer will get before being charged for the first time. This will always overwrite any trials that might apply via a subscribed plan. If set, trial_end will override the default trial period of the plan the customer is being subscribed to. The special value `now` can be provided to end the customer's trial immediately. Can be at most two years from `billing_cycle_anchor`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postCustomersCustomer.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostCustomersCustomerResponseError is used.

Constructors

Instances2Eq, Show